Package Details: metamask-firefox 10.32.0-1

Git Clone URL: https://aur.archlinux.org/metamask.git (read-only, click to copy)
Package Base: metamask
Description: Firefox extension that enables interacting with Ethereum Virtual Machine networks enabled websites
Upstream URL: https://github.com/MetaMask/metamask-extension
Licenses: custom:consensys
Provides: metamask
Submitter: tallero
Maintainer: tallero
Last Packager: truocolo
Votes: 2
Popularity: 0.036173
First Submitted: 2021-11-30 07:18 (UTC)
Last Updated: 2024-02-05 23:54 (UTC)

Latest Comments

tallero commented on 2024-03-09 20:08 (UTC) (edited on 2024-03-09 20:11 (UTC) by tallero)

@nbryskin: reply to your post sorta ended up on X.

Anyway, work on packaging latest version is in the -git package.

Git has been dropped in makedepends both here and there.

It takes me many hours to test build this software on my current machine, but I'm pretty sure -git package should build correctly.

As soon as anybody can confirm that recipe is working correctly I'll backport changes to this one.

I've asked in various place if somebody could provide at least a temporary ci script so we can all leverage the same hardware to test aur work but nobody seem to have heard, yet I have two hands only so it takes what it takes to provide that myself.

nojo commented on 2024-02-06 08:41 (UTC) (edited on 2024-02-06 08:41 (UTC) by nojo)

Hi @truocolo, thank you for your response. I want to clarify myself:

  • When I install some-package from AUR, I expect to get the most recent stable upstream version.
  • Older versions usually have different names, with a version in it like gcc12.
  • I think it's not a maintainer's duty to review upstream sources before packaging, but I think it's a maintainer's duty to keep the package up-to-date and compatible with ArchLinux.
  • This package skipped a major release and several minor ones, so it looked like an abandoned package, that's why I've made a request.
  • The request was just a proposition, I respect any decision, and I'm not sure why the reaction was so harsh (after reading your message I suppose it was just a first impression).
  • If a maintainer prefers not to update the package to the latest stable version for some reason, I would prefer to see this fact reflected in the package name (i.e. metamask10).
  • I saw you've just updated this package to a more recent version but it's still quite old. Is it a packaging issue so I can contribute an update? If it's not - could you please explain this decision?

Btw, I didn't understand the point about Arch's Gitlab and license, does workflow for this package somehow differ from any other?

truocolo commented on 2024-02-05 15:37 (UTC) (edited on 2024-02-05 16:22 (UTC) by truocolo)

Hi people.

Today somebody opened an orphan request for this package recipe I've written you read at this page.

I will comment on such a request publicly, so to reference this answer whenever it should happen again.

I am omitting the sender because I intend to harm to him, for I still haven't checked who he is.

[PRQ#53632] Orphan Request for metamask – <redacted> [1] filed an orphan request for metamask [2]:

Hello, I want to update this package to the latest upstream version and maintain it.

[1] https://aur.archlinux.org/account/<redacted>/

[2] https://aur.archlinux.org/pkgbase/metamask/

Dear <redacted>,

if you want to become co-maintainer of a active package, you can post here in these comments the changes you'd like to introduce, so both you and your 'request' won't look like something I'd prefer not to say.

I would also like to remind you and everybody that just because arch tries to deliver 'latest versions' of software, a good maintainer should not push to its users software he hasn't reviewed himself first, in particular in regard to a software people use to send and receive money; because of this, whenever you see a package not kept at the latest version, try to show some common sense and do not burn your chances of having a pleasant conversation with the people you share or you write software with.

Yours,

the author.

EDIT:

I've checked who <redacted> is and I have sent him a warm email, so I hope he is laughing right now.

tallero commented on 2022-05-17 14:50 (UTC) (edited on 2022-05-17 14:51 (UTC) by tallero)

@ptchinster: yaourt -S metamask

or

git clone https://aur.archlinux.org/metamask.git
cd metamask
makepkg

ptchinster commented on 2022-05-13 19:52 (UTC)

ptchinster@slash react-dapp $ yaourt -S metamask-firefox

==> Downloading metamask-firefox PKGBUILD from AUR... ==> ERROR: metamask-firefox not found in AUR. ptchinster@slash react-dapp $ yaourt -S metamask-chrome

==> Downloading metamask-chrome PKGBUILD from AUR... ==> ERROR: metamask-chrome not found in AUR.

arcanis commented on 2022-03-28 19:09 (UTC)

this package requires git as make dependency